Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000019 [DCSS] FR: Other feature N/A 2009-11-23 13:00 2010-05-30 09:04
Reporter Matthew Cline View Status public  
Assigned To rob
Priority normal Resolution suspended  
Status resolved   Product Branch
Summary 0000019: New monster: feature mimic
Description A new monster which would mimic features, like fountains, stairs, and so on. The dungeon generation code could randomly replace some doors with a door mimic, and maybe there could be some way for vaults to specify that a feature mimic imitate a particular feature.

Instead of being an immobile monster which attacks when you try to move over it, and teleports away when damaged, I was thinking that it could be a lurking monster that attacks when you move right next to it, and can chase after you or run away.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0005152)
rob (developer)
2010-05-30 09:04

moved this to the wiki: dcss:brainstorm:monster:new_monsters

- Issue History
Date Modified Username Field Change
2009-11-23 13:00 Matthew Cline New Issue
2009-11-24 11:22 jpeg Issue Monitored: jpeg
2009-12-07 15:42 jpeg Issue End Monitor: jpeg
2010-05-30 09:04 rob Note Added: 0005152
2010-05-30 09:04 rob Status new => resolved
2010-05-30 09:04 rob Fixed in Branch => 0.7 development branch
2010-05-30 09:04 rob Resolution open => suspended
2010-05-30 09:04 rob Assigned To => rob


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker